Bug 270941 - snmptrapd passes traphandler incorrect hostname
snmptrapd passes traphandler incorrect hostname
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp (Show other bugs)
5.0
All All
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-31 07:56 EDT by Robert Kerr
Modified: 2008-05-21 11:41 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0376
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 844732 (view as bug list)
Environment:
Last Closed: 2008-05-21 11:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Kerr 2007-08-31 07:56:08 EDT
Description of problem:

When using the traphandle directive in snmptrapd.conf to execute a script in
response to a trap being recieved, the traphandle script is not passed the
correct hostname. Instead <UNKNOWN> is passed as hostname for every trap.

This appears to be a known issue, which is fixed upstream:

http://sourceforge.net/tracker/index.php?func=detail&aid=1638225&group_id=12694&atid=112694

Steps to Reproduce:
Sample traphandle script in upstream bug can be used to reproduce - the output
file should contain the hostname of the source of a received trap, but instead
shows <UNKNOWN>
Comment 1 Jan Safranek 2007-10-22 04:14:46 EDT
It has been fixed in Fedora some time ago:
https://bugzilla.redhat.com/show_bug.cgi?id=238587
Comment 2 RHEL Product and Program Management 2007-10-22 04:15:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2008-05-21 11:41:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0376.html

Note You need to log in before you can comment on or make changes to this bug.